# chfact

sparse Cholesky factorization

## Calling Sequence

    spcho=chfact(A)

## Arguments

A

  square symmetric positive sparse matrix

spcho

  list containing the Cholesky factors in coded form

## Description

`spcho=chfact(A)` computes the sparse Cholesky factors of sparse matrix `A`, assumed symmetric positive definite. This function is based on the Ng-Peyton programs (ORNL). See the Fortran programs for a complete description of the variables in `spcho`. This function is to be used with `chsolve`.

## Examples

    A=sprand(20,20,0.1);
    A=A*A'+eye();
    chfact(A)

    sol=(1:20)';
    rhs=A*sol;
    chfact(A)

## See Also

- chsolve
- sparse
- lufact
- luget
- spchol